# -*- coding: utf-8 -*-

from __future__ import division

from django_response import response
from TimeConvert import TimeConvert as tc

from equipment.models import AntigenMeasureLogInfo, IsolationPointUserInfo


def upload_antigen(request):
    macid = request.POST.get('macid', '')
    user_name = request.POST.get('user_name', '')
    phone = request.POST.get('phone', 1)
    result = request.POST.get('result', 2)
    detect_at = request.POST.get('detect_at', '')

    detect_at = tc.string_to_datetime(detect_at, format='%Y-%m-%d %H:%M:%S')

    try:
        user = IsolationPointUserInfo.objects.get(fields__icontains=phone, member_id='', status=True)
        user.detect_at = detect_at
        user.antigen_result = result
        user.save()
    except IsolationPointUserInfo.DoesNotExist:
        user = None

    AntigenMeasureLogInfo.objects.create(
        point_id=user.point_id if user else '',
        user_id=user.user_id if user else '',
        macid=macid,
        user_name=user_name,
        phone=phone,
        result=result,
        detect_at=detect_at
    )

    return response(200, '', 'Antigen Upload Success', '抗原检测上传成功')
