# -*- coding: utf-8 -*-

from __future__ import division

from django_logit import logit
from django.conf import settings
from django_response import response

from equipment.models import FamilyMemberInfo


@logit
def mp_bind_family_member(request):
    user_id = request.POST.get('user_id', '')
    identity_card_name = request.POST.get('identity_card_name', '')
    identity_card_number = request.POST.get('identity_card_number', '')
    relation = request.POST.get('relation', '')

    FamilyMemberInfo.objects.create(
        user_id=user_id,
        identity_card_name=identity_card_name,
        identity_card_number=identity_card_number,
        relation=relation
    )
    
    return response()

@logit
def mp_family_member_list(request):
    user_id = request.POST.get('user_id', '')
    members = FamilyMemberInfo.objects.filter(user_id=user_id, status=True)

    members = [member.data for member in members]
    return response(data={
        'members': members
    })

@logit
def mp_delete_family_member(request):
    user_id = request.POST.get('user_id', '')
    member_id = request.POST.get('member_id', '')

    FamilyMemberInfo.objects.filter(user_id=user_id, member_id=member_id).update(status=False)

    return response()