# -*- coding: utf-8 -*-

from __future__ import division

from django_logit import logit
from django.conf import settings
from django_response import response

from household.models import HouseholdThermometerMeasureLogInfo, HouseholdThermometerEquipmentBindInfo

@logit
def mp_bind_thermometer(request):
    user_id = request.POST.get('user_id', '')
    macid = request.POST.get('macid', '')

    HouseholdThermometerEquipmentBindInfo.objects.get_or_create(user_id=user_id, macid=macid)

    return response()


def mp_thermometer_list(request):
    user_id = request.POST.get('user_id', '')
    eqpts = HouseholdThermometerEquipmentBindInfo.objects.filter(user_id=user_id, status=True)

    eqpts = [eqpt.data for eqpt in eqpts]

    return response(data={
        eqpts: eqpts
    })


def mp_upload_temperature(request):
    user_id = request.POST.get('user_id', '')
    macid = request.POST.get('macid', '')
    temperature = request.POST.get('temperature', '')

    HouseholdThermometerMeasureLogInfo.objects.create(user_id=user_id, macid=macid, temperature=temperature)

    return response()


def mp_temperature_list(request):
    user_id = request.POST.get('user_id', '')
    macid = request.POST.get('macid', '')
    
    logs = HouseholdThermometerMeasureLogInfo.objects.filter(macid=macid, status=True)

    logs = [log.data for log in logs]

    return response(data={
        'logs': logs
    })